Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-774

./configure --with-libacl never works

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.6.0
    • Labels:
      None
    • Found in version (details):
      3.6.0b1 downloaded from cfengine.com/source-code/

      Description

      If libacl is installed and ./configure is run without the --with-libacl option, then it is correctly detected and used:
      <pre>
      $ ./configure
      ...
      -> libacl: default path
      </pre>
      However, if --with-libacl is used, then ./configure fails (it's the same if any value is given to --with-libacl):
      <pre>
      $ ./configure --with-libacl
      ...
      checking for acl_init in -lacl... yes
      checking acl.h usability... no
      checking acl.h presence... no
      checking for acl.h... no
      configure: error: Cannot find libacl library headers
      </pre>
      This happens both in released 3.5.0 and in master as of commit 8715cc2974f8c6b25bcf2cd2ed1af8518bf91f46

        Attachments

          Activity

            People

            • Assignee:
              a10040 Kristian Amlie
              Reporter:
              jiraadmin Old User (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Summary Panel